Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface Bridge

All Known Subinterfaces:
  ClipBridge, DocumentBridge, FilterBridge, FilterPrimitiveBridge, GenericBridge, GraphicsNodeBridge, MarkerBridge, MaskBridge, PaintBridge

All Known Implementing Classes:
  AbstractGraphicsNodeBridge, AbstractSVGBridge, AbstractSVGFilterPrimitiveElementBridge, AbstractSVGGradientElementBridge, AbstractSVGGradientElementBridge.SVGStopElementBridge, AbstractSVGLightingElementBridge, AbstractSVGLightingElementBridge.AbstractSVGLightElementBridge, AbstractSVGLightingElementBridge.SVGFeDistantLightElementBridge, AbstractSVGLightingElementBridge.SVGFePointLightElementBridge, AbstractSVGLightingElementBridge.SVGFeSpotLightElementBridge, AnimatableGenericSVGBridge, AnimatableSVGBridge, BatikFlowTextElementBridge, BatikFlowTextElementBridge.BatikFlowContentBridge, BatikHistogramNormalizationElementBridge, BatikRegularPolygonElementBridge, BatikStarElementBridge, BindableElementBridge, ColorSwitchBridge, SVG12TextElementBridge, SVGAElementBridge, SVGAltGlyphElementBridge, SVGAnimateColorElementBridge, SVGAnimateElementBridge, SVGAnimateMotionElementBridge, SVGAnimateTransformElementBridge, SVGAnimationElementBridge, SVGCircleElementBridge, SVGClipPathElementBridge, SVGColorProfileElementBridge, SVGDecoratedShapeElementBridge, SVGDescElementBridge, SVGDescriptiveElementBridge, SVGDocumentBridge, SVGEllipseElementBridge, SVGFeBlendElementBridge, SVGFeColorMatrixElementBridge, SVGFeComponentTransferElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncAElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncBElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncGElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncRElementBridge, SVGFeCompositeElementBridge, SVGFeConvolveMatrixElementBridge, SVGFeDiffuseLightingElementBridge, SVGFeDisplacementMapElementBridge, SVGFeFloodElementBridge, SVGFeGaussianBlurElementBridge, SVGFeImageElementBridge, SVGFeMergeElementBridge, SVGFeMergeElementBridge.SVGFeMergeNodeElementBridge, SVGFeMorphologyElementBridge, SVGFeOffsetElementBridge, SVGFeSpecularLightingElementBridge, SVGFeTileElementBridge, SVGFeTurbulenceElementBridge, SVGFilterElementBridge, SVGFlowRootElementBridge, SVGFlowRootElementBridge.FlowContentBridge, SVGFontElementBridge, SVGFontFaceElementBridge, SVGGElementBridge, SVGGlyphElementBridge, SVGHKernElementBridge, SVGImageElementBridge, SVGKernElementBridge, SVGLinearGradientElementBridge, SVGLineElementBridge, SVGMarkerElementBridge, SVGMaskElementBridge, SVGMissingGlyphElementBridge, SVGMultiImageElementBridge, SVGPathElementBridge, SVGPatternElementBridge, SVGPolygonElementBridge, SVGPolylineElementBridge, SVGRadialGradientElementBridge, SVGRectElementBridge, SVGSetElementBridge, SVGShapeElementBridge, SVGSolidColorElementBridge, SVGSVGElementBridge, SVGSwitchElementBridge, SVGTextElementBridge, SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler, SVGTextElementBridge.AbstractTextChildSVGContext, SVGTextElementBridge.AbstractTextChildTextContent, SVGTextElementBridge.TextPathBridge, SVGTextElementBridge.TRefBridge, SVGTextElementBridge.TspanBridge, SVGTextPathElementBridge, SVGTitleElementBridge, SVGUseElementBridge, SVGVKernElementBridge, XBLContentElementBridge, XBLShadowTreeElementBridge

    public interface Bridge

A tagging interface that all bridges must implement. A bridge is responsible for creating and maintaining an appropriate object according to an Element.

Method Summary
`Bridge` | `getInstance()` Returns a new instance of this bridge.
`String` | `getLocalName()` Returns the local name of the element this `Bridge` is dedicated to.
`String` | `getNamespaceURI()` Returns the namespace URI of the element this `Bridge` is dedicated to.

Method Detail

### getNamespaceURI

    String getNamespaceURI()

  Returns the namespace URI of the element this `Bridge` is dedicated to.

### getLocalName

    String getLocalName()

  Returns the local name of the element this `Bridge` is dedicated to.

### getInstance

    Bridge getInstance()

  Returns a new instance of this bridge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.